aboutsummaryrefslogtreecommitdiff
path: root/.local
diff options
context:
space:
mode:
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/ipass8
1 files changed, 4 insertions, 4 deletions
diff --git a/.local/bin/ipass b/.local/bin/ipass
index 63ec46a..deef05f 100755
--- a/.local/bin/ipass
+++ b/.local/bin/ipass
@@ -2,18 +2,18 @@
main()
{
- cd "${HOME}/.password-store" || exit 1
+ cd -- "$HOME/.password-store" || exit 1
file=$(find ./* -type f | sed 's-^\./--' | sed 's-\.gpg$--' | dmenu)
dmenu_exit=$?
- if [ "${dmenu_exit}" -ne 0 ]
+ if [ "$dmenu_exit" -ne 0 ]
then
exit 2
fi
- pass show "$file" | perl -pe 'chomp' | xdotool type --file -
- notify-send -i "dialog-password" "ipass" "${file}"
+ pass show "$file" | head -n 1 | perl -pe 'chomp' | xdotool type --file -
+ notify-send -i "dialog-password" "ipass" "$file"
}
main "$@"